### Method

# Vte Terminal get_termprop_rgba

since: 0.78

#### Declaration [src]

    gboolean
    vte_terminal_get_termprop_rgba (
      VteTerminal* terminal,
      const char* prop,
      GdkRGBA* color
    )

#### Description [src]

Stores the value of a `VTE_PROPERTY_RGB` or `VTE_PROPERTY_RGBA` termprop in `color` and returns `TRUE` if the termprop is set, or stores rgb(0,0,0) or rgba(0,0,0,1) in `color` and returns `FALSE` if the termprop is unset.

Available since: 0.78

#### Parameters

`prop`

  Type: `const char*`

  A termprop name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`color`

  Type: `GdkRGBA`

  A `GdkRGBA` to fill in.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` iff the termprop is set.